package de.jottyfan.camporganizer.module.business.bookings.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.jottyfan.camporganizer.module.business.bookings.IBookingsService;

/**
 *
 * @author jotty
 *
 */
@Service
public class BookingsService implements IBookingsService {

	@Autowired
	private BookingsGateway bookingsGateway;

	@Override
	public List<BookerBean> getBookers(String username) {
		return bookingsGateway.getBookings(username);
	}

	@Override
	public BookerBean getBooker(Integer id, String username) {
		return bookingsGateway.getBooking(id, username);
	}

	@Override
	public Integer addPayment(Integer id, Double payment) {
		return bookingsGateway.addPayment(id, payment);
	}

}
